Subject: Re: linux-next: build failure after merge of the pm tree

From: "Wysocki, Rafael J" <[email-masked]>
Date: Fri, 14 Jul 2023 20:19:53 +0200

Daniel,

On 7/14/2023 3:00 AM, Stephen Rothwell wrote:
> Hi all,
>
> After merging the pm tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> In file included from drivers/thermal/tegra/soctherm.c:36:
> drivers/thermal/tegra/../thermal_core.h:18:2: error: #warning This header can only be included by the thermal core code [-Werror-cpp]
>     18 | #warning This header can only be included by the thermal core code
>        |  ^~~~~~~
>
> Introduced by commit
>
>    bc1bb350b534 ("thermal/core: Hardening the self-encapsulation")

I'll drop this patch.  I think that the rest of the series doesn't 
really depend on it.

> I have used the pm tree from next-20230713 for today.

Thanks!